# encoding : utf-8
# frozen_string_literal: true
module TTWatcher
module Sites
  module Configuration
    def self.extended(mod)
      begin
        settings = YAML.load_file File.join __dir__, 'config.yml'

      rescue Errno::ENOENT
        Logger << "File +config.yml+ not found! Program going to be closed"
        exit!
      end

      TTWatcher.const_set "S", settings.freeze
    end
    extend self
  end # module Configuration
end # module Sites
end # module TTWatcher
