# encoding: utf-8
# frozen_string_literal: true
module TTWatcher
module Sites
  class Megashara < TorrentSite

    def find_torrent(name) # no-doc
      super name, { url: { query_params: { text: name } } }
    end

    private

    def search_url(name = nil) # no-doc
      domain_name + '/search/%s' % name
    end
  end # class Megashara
end # module Sites
end # module TTWatcher
