# encoding: utf-8
# frozen_string_literal: true
module TTWatcher
module Sites
  class Unionpeer < TorrentSite

    def find_torrent(name) # no-doc
      super name, { url: { query_params: { 'nm' => name } } }
    end

    private

    def search_url(name = nil) # no-doc
      domain_name + '/tracker.php'
    end
  end # class Unionpeer
end # module Sites
end # module TTWatcher
