# encoding: utf-8
# frozen_string_literal: true
module TTWatcher
module Sites
  class Zooqle < TorrentSite

    def find_torrent(name) # no-doc
      super name, { url: { query_params: { 'q' => name } } }
    end

    private

    def search_url(name = nil) # no-doc
      domain_name + '/search'
    end
  end # class Zooqle
end # module Sites
end # module TTWatcher
